ZIP_SET_FILE_EXTRA(3)

NAME
zip_set_file_extra - set extra field for file in zip

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int zip_set_file_extra(struct zip *archive, zip_uint64_t index); "const char *extra" "int len"

DESCRIPTION
The zip_set_file_extra function sets the extra field for the file at position index in the zip archive to extra of length len. If extra is NULL and len is 0, the file extra field will be removed.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in archive is set to indicate the error.

ERRORS
zip_set_file_extra fails if:

    [ZIP_ER_INVAL]
        index is not a valid file index in archive, or len is less than 0 or longer than the maximum extra field length in a zip file (65535).

    [ZIP_ER_MEMORY]
        Required memory could not be allocated.

SEE ALSO
libzip(3), zip_get_file_extra(3)

AUTHORS

Dieter Baron <dillo@giga.or.at> and Thomas Klausner <tk@giga.or.at>